# Practical: Git Interactive Rebasing

The prompt shows up:
```bash
$ pick 1234567 add Micheal to attendee list
$ pick abcdef0 add Kevin to attendee list
```

The keywords should be changed to:
```bash
$ reword 1234567 add Micheal to attendee list
$ fixup abcdef0 add Kevin to attendee list
```

Upon confirming, change the message of commit 1234567:
```bash
$ Add Micheal and Kevin to the attendee list
```

Then use force-push to push your changes:
```bash
$ git push origin myBranch -f
```