# Practical: Git Amend - Commit Message

* Verify that your staging area is clear:
```bash
$ git status
```

* use the `commit --amend` with the `-m` flag to edit only the commit message:
```bash
$ git commit --amend -m "This commit title has been amended"
```

* See the commit message in the log has changed:
```bash
$ git log
```
