# Practical: Git Cherry-picking

* In your branch, create and commit a reference file
```bash
$ echo "This is the start of a commit chain" > reference.txt
$ git add reference.txt
$ git commit origin myBranch
```

* Create and commit two files in the develop branch 
```bash
$ echo "This is a commit to keep" > keep.txt
$ git add keep.txt
$ git commit origin develop
$ echo "Ignore this commit" > ignore.txt
$ git add ignore.txt
$ git commit origin develop
```