# Practical: Git Cherry-picking

* Check the commit reference of the two commits in develop
* Chose the commit to keep and add it to your branch
```bash
$ git checkout myBranch
$ git cherry-pick <commit reference>
```
* Check the log again and see if the changes were applied correctly

* push the changes to the develop branch
```bash
$ git push origin myBranch -f
```

* The `-f` flag is used to force push into develop