# Practical: Git Revert

* On your branch, create and commit a file:
```bash
$ echo "# This commits contains errors" > revert.txt
$ git add revert.txt
$ git commit -m "Error"
```
* check the commit log and copy the `Error` commit ID:
```bash
$ git log
```
* Use the 'git revert' command to undo this selected commit:
```bash
$ git revert <sha1>
```
